de.esprit.appsuite.nio.ndf

## Class NdfUtil

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfUtil

- All Implemented Interfaces:
    NdfConstants

      public class NdfUtil
      extends java.lang.Object
      implements NdfConstants

  This is a helper class which contains methods used by both the `NdfWriter` and `NdfParser`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `checkValidName(java.lang.String name, java.lang.String structure)`
    `static boolean` | `isAllowedInName(char c)`
    `static boolean` | `isBooleanFalseLiteral(java.lang.String str)`
    `static boolean` | `isBooleanLiteralLiteral(java.lang.String str)`
    `static boolean` | `isBooleanTrueLiteral(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkValidName

          public static java.lang.String checkValidName(java.lang.String name,
                                        java.lang.String structure)
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### isAllowedInName

          public static boolean isAllowedInName(char c)

    - #### isBooleanLiteralLiteral

          public static boolean isBooleanLiteralLiteral(java.lang.String str)

    - #### isBooleanTrueLiteral

          public static boolean isBooleanTrueLiteral(java.lang.String str)

    - #### isBooleanFalseLiteral

          public static boolean isBooleanFalseLiteral(java.lang.String str)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.